dvi2ps (5.1j-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc 10. (Closes: #957157)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 17:21:48 +0200

dvi2ps (5.1j-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Use pkg-config to detect the freetype libraries (Closes: #887604).
  * Patch debian/rules to allow dvi2ps to cross-build from source:
    - Let dh_auto_configure pass --host to ./configure.
    - Let dh_auto_build pass cross-tools to debian/Makefile.tools.
    - Do not strip at install time.
    - Thanks to Helmut Grohne for supplying a patch (Closes: #901692).
  * debian/control:
    - Build-Depend on dh-autoreconf and pkg-config.
  * debian/po:
    - Add Italian translation by Beatrice Torracca (Closes: #659141).
    - Add LINGUAS file.
  * debian/rules:
    - Call dh_autoreconf and dh_autoreconf_clean during the 'configure' and
      'clean' targets respectively.
    - Allow dvi2ps to cross-build from source (see above for details).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 17 Feb 2019 23:29:43 +1100

dvi2ps (5.1j-1.2) unstable; urgency=medium

  * NMU
  * use autotools-dev to update config.{sub,guess} for new arches.
    Closes: #749012. Thanks to Logan Rosen for the patch.
  * Add simple debian build rules for build-arch and build-indep.

 -- Steve McIntyre <93sam@debian.org>  Tue, 14 Oct 2014 22:16:18 +0100

dvi2ps (5.1j-1.1) unstable; urgency=medium

  * Non-maintainer upload to fix FTBFS.
  * Add 09_freetype_header.patch, renaming freetype.h to dvi2ps_freetype.h
    to avoid collision with Freetype (Closes: #733394)

 -- Margarita Manterola <marga@debian.org>  Fri, 25 Apr 2014 19:32:54 +0200

dvi2ps (5.1j-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format.
    - Drop dpatch system.
  * 08_kpse_set_program_name.patch: Use kpse_set_progname instead of
  kpse_set_program_name (closes: #666293).
  * debian/rules: Regenerate dvi2ps-conf.h to change DVI2LIB variable.
  * 01_fix_FTBFS_on_kFreeBSD.dpatch, 02_include-kpathsea.h.dpatch,
    04_defs_h.dpatch: Delete unused patches.

 -- OHURA Makoto <ohura@debian.org>  Mon, 30 Apr 2012 20:34:14 +0900

vi2ps (4.1j-3) unstable; urgency=low

  * debian/patches/02_include-kpathsea.h.dpatch: New patch.  Include
    kpathsea/kpathsea.h for building with TeXLive 2009.
    (Closes: #562289, #565232, #568816)
  * debian/patches/02_include_c-auto.dpatch: Delete unused patch.
  * debian/patches/05_debian-patch.dpatch: Change the definition of
    the variable bk. (Closes: #571779)
  * debian/control:
    - Update Standards-Version.
    - Add Dependency on ${misc:Depends}.

 -- OHURA Makoto <ohura@debian.org>  Mon, 22 Mar 2010 15:09:07 +0900

dvi2ps (4.1j-2) unstable; urgency=low

  * debian/po/ru.po: Add Russian debconf templates. (Closes: #494862)

 -- OHURA Makoto <ohura@debian.org>  Wed, 17 Sep 2008 22:03:34 +0900

dvi2ps (4.1j-1) unstable; urgency=low

  * New upstream release
    - Build with freetype2. (Closes: #431783)
    - Sync patches with new upstream release.
  * debian/patches/05_makefile_paths.dpatch: New patch.  Set paths for
    Debian package.
  * debian/patches/07_vflib3.dpatch: New patch. Build with
    vflib3. (Closes: #366031)
  * debian/control:
    - Change Build-Dependecies for freetype2 and vflib3.
    - Update Updated Standards-Version.
  * debian/copyright: Update infomartion about pstt2t1.c.
  * debian/rules:
    - Update debhelper compatiblity to 5.
    - Don't ignore error at make clean.

 -- OHURA Makoto <ohura@debian.org>  Thu, 15 May 2008 23:33:24 +0900

dvi2ps (3.2j-16) unstable; urgency=low

  * debian/po/pt.po: Added Portuguese translation of debconf
    templates. (Closes: #414925).

 -- OHURA Makoto <ohura@debian.org>  Sun, 25 Mar 2007 21:42:13 +0900

dvi2ps (3.2j-15) unstable; urgency=high

  * Set urgency to high to fix RC bug.
  * debian/control:
    - Added dependency on tetex-bin instead of tetex-base.
    (Closes: #409397).
    - Added alternative dependency on texlive-base-bin to support
    TeXLive. (Closes: #357201).

 -- OHURA Makoto <ohura@debian.org>  Thu,  8 Feb 2007 09:06:32 +0900

dvi2ps (3.2j-14) unstable; urgency=low

  * debian/po/sv.po: Added Swedish translation of debconf templates.
  (Closes: #341307).
  * debian/control: Updated Standards-Version.

 -- OHURA Makoto <ohura@debian.org>  Tue,  5 Dec 2006 22:52:43 +0900

dvi2ps (3.2j-13) unstable; urgency=low

  * Rebuild with libkpathsea4.
  * debian/patches/01_fix_FTBFS_on_kFreeBSD.dpatch: Fix FTBFS on
    GNU/kFreeBSD. (Closes: #336559).

 -- OHURA Makoto <ohura@debian.org>  Wed,  3 May 2006 00:35:12 +0900

dvi2ps (3.2j-12) unstable; urgency=low

  * debian/control: Add debconf-2.0 as the alternative of debconf.

 -- OHURA Makoto <ohura@debian.org>  Tue, 27 Sep 2005 23:11:30 +0900

dvi2ps (3.2j-11) unstable; urgency=low

  * Add Vietnamese translation of debconf templates. (Closes: #311601).
  * Add Czech translation of debconf templates. (Closes: #315830).
  * debian/rules: Build with CCFLAGS='-g -O -DPOSIX -DSYSV -DANSI'.
    This allows building with GCC 4.0 (Closes: #298177).
  * debian/patches/03_all-warning.dpatch: Delete.  Add '-Wall' to CCFLAGS
    at debian/rules.
  * debian/patches/01_ftfont_tools.dpatch: Add.  Thanks to
  Roger Leigh <rleigh@debian.org>.
    - ftfont.c: pid and eid should be "unsigned short", in order to
    match the prototype of FreeType TT_Get_CharMap_ID().
    - tools/nup.c, tools/texfix.c: Add standard headers where
    required, and correct a buggy use of a preprocessor conditional.
  * debian/control: Update Standards-Version.

 -- OHURA Makoto <ohura@debian.org>  Tue, 26 Jul 2005 14:27:49 +0900

dvi2ps (3.2j-10) unstable; urgency=low

  * Add Spanish po-debconf templates. (Closes: #307690).

 -- OHURA Makoto <ohura@debian.org>  Thu,  5 May 2005 22:14:58 +0900

dvi2ps (3.2j-9) unstable; urgency=low

  * Enable psfonts in fontdesc. (Closes: #293294).

 -- OHURA Makoto <ohura@debian.org>  Sat, 19 Feb 2005 17:47:23 +0900

dvi2ps (3.2j-8) unstable; urgency=low

  * Add Brazilian po-debconf templates. (Closes: #271336).

 -- OHURA Makoto <ohura@debian.org>  Tue, 14 Sep 2004 00:13:25 +0900

dvi2ps (3.2j-7) unstable; urgency=low

  * Add German translation of the debconf templates (Closes: #252496).
  * debian/patches/04_defs_h.dpatch: Fix FTBFS problem with
    gcc-3.4. (Closes: #258630).

 -- OHURA Makoto <ohura@debian.org>  Sat, 31 Jul 2004 00:14:12 +0900

dvi2ps (3.2j-6) unstable; urgency=low

  * Add Dutch po-debconf templates, thanks to Luk Claes (Closes: #250659).

 -- OHURA Makoto <ohura@debian.org>  Tue,  1 Jun 2004 23:30:25 +0900

dvi2ps (3.2j-5) unstable; urgency=low

  * Bug fix: "dvi2ps: Include Danish debconf translation", thanks to Claus
    Hindsgaul (Closes: #233073).
  * Change over to dpatch system.
  * Don't use insecure mktemp in tools/texfix.c

 -- OHURA Makoto <ohura@debian.org>  Thu, 26 Feb 2004 22:18:08 +0900

dvi2ps (3.2j-4) unstable; urgency=low

  * Remove dvi2ps-fontdata-bsr from Suggests: field, for removing this
    packages.

 -- OHURA Makoto <ohura@debian.org>  Thu,  9 Oct 2003 22:28:15 +0900

dvi2ps (3.2j-3) unstable; urgency=low

  * New Maintainer. (closes: #192686)
  * Add Japanese debconf templates.

 -- OHURA Makoto <ohura@debian.org>  Wed,  1 Oct 2003 12:49:52 +0900

dvi2ps (3.2j-2) unstable; urgency=low

  * QA Upload.
  * Set Maintainer field to Debian QA Group. 
  * Acknowledge previous NMUs (closes: #201057, #86358, #108460).
  * Switch to gettext-based debconf templates [Christian Perrier].
  * Add French translation of gettext debconf templates [Christian Perrier].
  * Bump Standards Version.

 -- Pierre Machard <pmachard@debian.org>  Sat, 27 Sep 2003 08:27:02 +0200

dvi2ps (3.2j-1.1) unstable; urgency=low

  * NMU
  * Fixed includes, closes: #201057. Thanks to Matt Kraai.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 25 Jul 2003 19:47:00 +0000

dvi2ps (3.2j-1) unstable; urgency=low

  * NMU.
  * New Upstream Release.  (Closes: #86358)
  * Now Standards-Version: 3.5.8
  * Added missing manual pages; lprdvi.1, nup.1, texfix.1
  * Main changes from previous version:
   - removed "//" in fontdesc file.  this notation didn't work.
     we used debconf to install new fontdesc which was a conffile.
   - vmf variable in configk is updated, conformant with tetex-bin structure
     since 1.0.7+20011202-8
     we used debconf to install new configk which was a conffile.
   - default mode is now ljfour, conformant with dvips.
   - multex (fontdesc for multex/mullatex) is a conffile and updated.
   - add tetex-base, debconf in Depends entry.

 -- Atsuhito KOHDA <kohda@debian.org>  Wed, 22 Jan 2003 17:07:17 +0900

dvi2ps (3.0a1-5) unstable; urgency=low

  * disabled to use freetype1 library.
  * modified some fontdesc files.
  * recompiled with new kpathsea library. closes: #128090

 -- Hayao Nakahara <nakahara@debian.org>  Fri, 10 Jan 2002 13:58:28 +0900

dvi2ps (3.0a1-4.1) unstable; urgency=low

  * NMU
  * Change tetex-dev to libkpathsea-dev in build-depends.  Closes: #108460

 -- LaMont Jones <lamont@debian.org>  Sat, 11 Aug 2001 23:01:05 -0600

dvi2ps (3.0a1-4) unstable; urgency=low

  * debian/control: added vflib2-dev, tetex-dev, freetype2-dev to Build-Depends.
  (closes: #52174)
  * debian/control: fixed Suggests field. (closes: #52054)
  * debian/postrm:  fixed.

 -- Hayao Nakahara <nakahara@debian.org>  Fri, 10 Dec 1999 15:04:53 +0900

dvi2ps (3.0a1-3) unstable; urgency=low

  * installed correct manpages.
  * added "Build-depends: nkf" to control. (closes: Bug#50682)
  * fixed several fontdesc files. (closes: Bug#51358)

 -- Hayao Nakahara <nakahara@debian.org>  Sun,  5 Dec 1999 14:19:15 +0900

dvi2ps (3.0a1-2) unstable; urgency=low

  * applied patch from Sakurai to nup.c. (closes: Bug#50052)

 -- Hayao Nakahara <nakahara@debian.org>  Thu, 18 Nov 1999 02:55:02 +0900

dvi2ps (3.0a1-1) unstable; urgency=low

  * Initial Release.

 -- Hayao Nakahara <nakahara@debian.org>  Thu, 18 Nov 1999 02:54:54 +0900

